/* filename:    paratab-post1.g
** description: generates a LaTeX Table  
*/

new;
closeall;
library user, pgraph;
cls;
outwidth 128;

#include dsge_spec.g;
#include path_spec.g;
#include dsge_para.src;

para  = pmsv(msel);
npara = rows(para);
{para,para_names} = psel(para,msel);


/******************************************************************
**         Load Parameter Draws from MH Output
*/

/* Specify input files - you have to edit the inputfile_str
** to read the desired estimates
** filename: lmodel + lprior + dataselstr + subTstr + pas
*/
inputfile_str = "\\tauh029tauk035chi036m12t1p1\\para\\mhrun1\\pas"
             $| "\\tauh029tauk035chi036m12t3p1\\para\\mhrun1\\pas"
             ;
             
/* Specify row names for table
*/
row_name =  "$\\alpha$    "
         $| "$r_A$        "
         $| "$\\delta$    "
         $| "$\\nu$       "
         $| "$\\varphi$   "
         $| "$\\tau_H$    "
         $| "$\\tau_K$    "
         $| "$\\chi$      "
         $| "$\\ln A_0$   "
         $| "$\\ln B_0$   "
         $| "$\\rho_A$    "
         $| "$\\rho_B$    "
         $| "$\\rho_\\zeta$  "
         $| "$\\sigma_A$  "
         $| "$\\sigma_B$  "
         $| "$\\sigma_\\zeta$ ";          

inputfile_n = rows(inputfile_str);

npara = rows(row_name);

post_mean = zeros(npara,inputfile_n);
post_ci   = zeros(npara,inputfile_n*2);

/* read the input files
*/
inputfile_ind = 1;

do until inputfile_ind > inputfile_n;

   lparas = workpath $+ inputfile_str[inputfile_ind];
   open fhparas = ^lparas for read;
   
   post_mean[.,inputfile_ind] = readr(fhparas,1)';
   drawrow = seekr(fhparas,npara+3);
   post_ci[.,2*(inputfile_ind-1)+1:2*inputfile_ind] = readr(fhparas,2)';

   inputfile_ind = inputfile_ind+1;
   
   closeall fhparas;
   
endo;



/* Create table
*/
para_ind = 1;
do until para_ind > npara;

   tablerow = row_name[para_ind];

   inputfile_ind = 1;
   
   do until inputfile_ind > inputfile_n;

      tablerow = tablerow $+ " & " $+ ftos(post_mean[para_ind,inputfile_ind],"%*.*lf",5,2)
                 $+ " & [" $+ ftos(post_ci[para_ind,2*(inputfile_ind-1)+1],"%*.*lf",5,2)
                 $+ ", "  $+ ftos(post_ci[para_ind,2*(inputfile_ind)],"%*.*lf",5,2) $+ "]"; 

                 
      inputfile_ind = inputfile_ind+1;
      
   endo;
   tablerow  = tablerow  $+ "\\\\";
   
   $tablerow;
   
   para_ind = para_ind+1;

endo;
